:root {
    /*--color1: #e54cb9; hexdec color def*/
}

h1 {
    color: blue; /* color name definition*/
    background-color: #7180d4;
    margin-top: 30px;
    margin-bottom: 30px;
    margin-left: 10px;
    margin-right: 10px;
    border-style: solid;
    border-width: 10px;
    border-radius: 10px;
    border-color: orange;
    position: sticky;
    width: 20cm;
}

h2 {
    color: #7180d4; /*hexdec color def*/
    background-color: #173a34;
    padding-top: 15px;
    padding-bottom: 15px;
    padding-left: 10px;
    padding-right: 10px;
    border-color: blue;
    border-style: inset;
    border-radius: 20px;
    width: 150mm;
    position: relative;
}

h3 {
    color: hsla(305, 90%, 38%, 0.31); /*hsla color def*/
    background-color: #30eec7;
    border-style: groove;
    border-width: 5px;
    padding: 10px 5px 10px 5px;
    width: 1in;
    position: absolute;
    font-family: "Times New Roman", sans-serif;
}

li {
    color: rgb(75, 144, 99); /*rgb color def*/
    background-color: #6b476b;
    border-style: outset;
    border-radius: 6px;
    border-width: 2px;
    margin: 5px 5px 5px 5px;
    height: 50px;
    width: 10em;
    min-width: 2cm;
    max-width: 5cm;
    text-decoration: underline;
    text-align: left;
    display: block;
    font-family: Arial, Helvectica;
}

p {
    color: var(--color1, color(srgb-linear 0.56 0.53 0.79 / 0.62));
    border-style: double;
    border-width: 5px;
    margin: 10px 10px 10px 10px;
    width: 10rem;
    text-decoration: overline;
    text-align: center;
    display: inline-block;
}

input {
    color: color-mix(in srgb, #e54cb9 50%, #7180d4 50%); 
    padding: 20px 10px 20px 10px;
    width: 5vw;
}

button:hover {
    color: red;
}

button:active {
    color: green;
}

ul {
    display: flex;
}

ol { 
    display: grid;
}

@media (max-width: 600px) {
    ul {
        flex-direction: column;
    }
    
    ol {
        flex-direction: column;
    }
}

